%global packname RInside

Name:		R-%{packname}
Version:	0.2.13
Release:	3%{?dist}
Summary:	C++ Classes to Embed R in C++ Applications

License:	GPLv2+
URL:		http://cran.r-project.org/web/packages/%{packname}/
Source0:	ftp://cran.r-project.org/pub/R/contrib/main/%{packname}_%{version}.tar.gz
#		https://github.com/eddelbuettel/rinside/pull/21
Patch0:		%{name}-ExcludeVars.patch
Patch1:		%{name}-ldflags.patch
#		Adapt RInsideLdFlags function to Fedora packaging (no static
#		library, shared library moved to default library path)
Patch2:		%{name}-LdFlags.patch

BuildRequires:	R-core-devel
BuildRequires:	R-Rcpp-devel
Requires:	R-core%{?_isa}
Requires:	R-Rcpp%{?_isa}

%description
The RInside packages makes it easier to have "R inside" your C++
application by providing a C++ wrapper class providing the R
interpreter.

%package devel
Summary:	RInside Development Files
Requires:	%{name}%{?_isa} = %{version}-%{release}
Requires:	R-core-devel%{?_isa}
Requires:	R-Rcpp-devel%{?_isa}

%description devel
Header files for RInside.

%package examples
Summary:	RInside Examples
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description examples
Numerous examples are provided in the eight sub-directories of the
examples directory of the installed package: standard, mpi (for
parallel computing), qt (showing how to embed RInside inside a Qt GUI
application), wt (showing how to build a "web-application" using the
Wt toolkit), armadillo (for RInside use with RcppArmadillo) and eigen
(for RInside use with RcppEigen).

%prep
%setup -q -c
%patch0 -p0
%patch1 -p0
%patch2 -p0

%build

%install
mkdir -p %{buildroot}%{_libdir}/R/library
%{_bindir}/R CMD INSTALL -l %{buildroot}%{_libdir}/R/library %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_libdir}/R/library/R.css
rm -rf %{packname}/inst/lib

rm %{buildroot}%{_libdir}/R/library/%{packname}/lib/lib%{packname}.a
mv %{buildroot}%{_libdir}/R/library/%{packname}/lib/lib%{packname}.so \
   %{buildroot}%{_libdir}
rmdir %{buildroot}%{_libdir}/R/library/%{packname}/lib

%check
%{_bindir}/R CMD check %{packname}

%files
%dir %{_libdir}/R/library/%{packname}
%doc %{_libdir}/R/library/%{packname}/NEWS.Rd
%doc %{_libdir}/R/library/%{packname}/THANKS
%doc %{_libdir}/R/library/%{packname}/html
%{_libdir}/R/library/%{packname}/DESCRIPTION
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/NAMESPACE
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/help
%{_libdir}/R/library/%{packname}/libs
%{_libdir}/lib%{packname}.so

%files devel
%{_libdir}/R/library/%{packname}/include

%files examples
%{_libdir}/R/library/%{packname}/examples

%changelog
* Sun Apr 10 2016 Mattias Ellert <mattias.ellert@fysast.uu.se> - 0.2.13-3
- Rebuild for R-Rcpp 0.12.4

* Wed Mar 02 2016 Mattias Ellert <mattias.ellert@fysast.uu.se> - 0.2.13-2
- Adapt RInsideLdFlags function to Fedora packaging

* Fri Feb 05 2016 Mattias Ellert <mattias.ellert@fysast.uu.se> - 0.2.13-1
- Initial package creation
